InterfaceBinding (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.InterfaceBinding interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface InterfaceBinding

All Superinterfaces:
  Disposable, Initialisable, Router

All Known Implementing Classes:
  DefaultInterfaceBinding

    public interface InterfaceBinding

extends Router

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`Object` | `createProxy(Object target)` This wires the dynamic proxy to the service object.
`OutboundEndpoint` | `getEndpoint()`
`Class` | `getInterface()`
`String` | `getMethod()`
`MuleMessage` | `route(MuleMessage message, MuleSession session)` This method is responsible for routing the Message via the MuleSession.
`void` | `setEndpoint(OutboundEndpoint endpoint)`
`void` | `setInterface(Class interfaceClass)`
`void` | `setMethod(String method)`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### route

    MuleMessage route(MuleMessage message,
                      MuleSession session)
                      throws MessagingException

  This method is responsible for routing the Message via the MuleSession. The logic for this method will change for each type of router depending on expected behaviour. For example, a MulticastingRouter might just iterate through the list of assoaciated endpoints sending the message. Another type of router such as the ExceptionBasedRouter will hit the first endpoint, if it fails try the second, and so on. Most router implementations will extends the FilteringOutboundRouter which implements all the common logic need for a router.

  Parameters:
    `message` - the message to send via one or more endpoints on this router
    `session` - the session used to actually send the event
  Returns:
    a result message if any from the invocation. If the synchronous flag is false a null result will always be returned.
  Throws:
    `MessagingException` - if any errors occur during the sending of messages
  See Also:
    `FilteringOutboundRouter`, `ExceptionBasedRouter`, `* @since 2.1 the synchronous argument has been removed. Instead use the synchronous attribute of the endpoint you are dispatching to.`

### setEndpoint

    void setEndpoint(OutboundEndpoint endpoint)

### getEndpoint

    OutboundEndpoint getEndpoint()

### getInterface

    Class getInterface()

### setInterface

    void setInterface(Class interfaceClass)

### getMethod

    String getMethod()

### setMethod

    void setMethod(String method)

### createProxy

    Object createProxy(Object target)

  This wires the dynamic proxy to the service object.

  Parameters:
    `target` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.